curl --request GET \
--url https://api-sandbox.synctera.com/v0/cards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cards": [
{
"card_status": "ACTIVE",
"status_reason": "ACT",
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"card_product_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"creation_time": "2010-05-06T12:23:34.321Z",
"emboss_name": {
"line_1": "Jane Smith",
"line_2": "Acme Inc."
},
"expiration_month": "06",
"expiration_year": "25",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_four": "1234",
"type": "DEBIT",
"form": "PHYSICAL",
"card_brand": "MASTERCARD",
"tenant": "abcdef_ghijkl",
"memo": "<string>",
"pending_reasons": {
"is_waiting_for_bulk_shipment": true,
"is_waiting_for_image": true,
"is_waiting_for_pin": true
},
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"expiration_time": "2010-05-06T12:23:34.321Z",
"is_pin_set": true,
"last_modified_time": "2010-05-06T12:23:34.321Z",
"metadata": {},
"reissue_reason": "APPEARANCE",
"reissued_from_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"reissued_to_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"timestamp_pin_set": "2010-05-06T12:23:34.321Z",
"bin": "<string>"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}List Cards
List of cards matching query parameters
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The last 4 digits of the card PAN
^\d{4}$"1234"
The postal code of a card user
"49633"
The unique identifier of a customer
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The brand of a card product
MASTERCARD, VISA The BIN number that prefixes a card PAN (first 6 or 8 digits)
^(\d{6}|\d{8})$123456
emboss name
Indicates the type of card The type of the card program and BIN
DEBIT, PREPAID The format of the card PHYSICAL or VIRTUAL.
PHYSICAL, VIRTUAL Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
"a8937a0d"
The status of a card The status indicating the card lifecycle state
ACTIVE, IMAGE_PENDING, IMAGE_REJECTED, PENDING, REJECTED, SUSPENDED, TERMINATED, UNACTIVATED The unique identifier of a cards product
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Account ID(s). Multiple IDs can be provided as a comma-separated list.
The unique identifier of an account
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
x >= 1100
The barcode associated with a card
\d{20}10044461864615598000
The date representing when the card would expire at
"2006-01-02"
Specifies the sort order for the returned cards.
account_id:asc, account_id:desc, card_brand:asc, card_brand:desc, card_product_id:asc, card_product_id:desc, card_status:asc, card_status:desc, card_type:asc, card_type:desc, customer_id:asc, customer_id:desc, expiration_date:asc, expiration_date:desc, form:asc, form:desc, last_four:asc, last_four:desc Response
Cards
Was this page helpful?

